Generates bounded local template samples for scenario steps and audits only their count, without storing inputs or making network requests.
POST
/v1/m/sandbox/synthetic-data
const url = 'https://example.com/v1/m/sandbox/synthetic-data';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"count":1,"seed":"example","subject_kind":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/sandbox/synthetic-data \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "count": 1, "seed": "example", "subject_kind": "example" }'Generates bounded local template samples for scenario steps and audits only their count, without storing inputs or making network requests.
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “ Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “ Request Body required ” Media type application/json
object
seed
Example generated
{ "count": 1, "seed": "example", "subject_kind": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}